summaryrefslogtreecommitdiff
path: root/tests/install/basic-1.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-01-13 03:30:33 +0000
committerPádraig Brady <P@draigBrady.com>2015-01-14 12:20:32 +0000
commit58cff8a009ed9b8280c5f35074cef97231286023 (patch)
tree771e8b3fa70fab99b548790931803b75dd272603 /tests/install/basic-1.sh
parent924b1cadff3f2782475516d7eca9aabe856dbf0f (diff)
downloadcoreutils-58cff8a009ed9b8280c5f35074cef97231286023.tar.xz
tests: add extra protection against unexpected exits
Many tests use `program ... && fail=1` to ensure expected error situations are indicated. However that would mask an unexpected exit (like a crash). Therefore explicitly check the expected exit code. Note where error messages are also verified, the extra protection is not added. * tests/init.sh (returns_): A new helper function to check the return code of a command, and used throughout the tests. * cfg.mk (sc_prohibit_and_fail_1): Add a syntax check to avoid new instances of this issue.
Diffstat (limited to 'tests/install/basic-1.sh')
-rwxr-xr-xtests/install/basic-1.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/install/basic-1.sh b/tests/install/basic-1.sh
index 3a1bfae8d..db3b3c31d 100755
--- a/tests/install/basic-1.sh
+++ b/tests/install/basic-1.sh
@@ -80,8 +80,8 @@ iwd=$(pwd)
mkdir sub || fail=1
(cd sub &&
chmod 0 . &&
- ginstall -d "$iwd/xx/yy" rel/sub1 rel/sub2 2> /dev/null
-) && fail=1
+ returns_ 1 ginstall -d "$iwd/xx/yy" rel/sub1 rel/sub2 2> /dev/null
+) || fail=1
chmod 755 sub
# Ensure that the first argument-dir has been created.